<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
$temp_set = $set;
if (!isset($temp_set['chat_anagramma'])) {
	$temp_set['chat_anagramma'] = 'Анаграмма';
}
if (!isset($temp_set['anagramm_time'])) {
	$temp_set['anagramm_time'] = '60';
}
if (!isset($temp_set['anagramm_new'])) {
	$temp_set['anagramm_new'] = '15';
}
if (!isset($temp_set['anagramm_help'])) {
	$temp_set['anagramm_help'] = '30';
}

include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
user_access('adm_set_chat',null,'index.php?'.SID);
adm_check();

if (isset($_POST['save']))
{
	$temp_set['time_chat'] = intval($_POST['time_chat']);
	mysql_query("ALTER TABLE `user` CHANGE `set_time_chat` `set_time_chat` INT( 11 ) DEFAULT '$temp_set[time_chat]'");
	$temp_set['umnik_new'] = intval($_POST['umnik_new']);
	$temp_set['anagramm_new'] = intval($_POST['anagramm_new']);
	$temp_set['umnik_help'] = intval($_POST['umnik_help']);
	$temp_set['anagramm_help'] = intval($_POST['anagramm_help']);
	$temp_set['umnik_time'] = intval($_POST['umnik_time']);
	$temp_set['anagramm_time'] = intval($_POST['anagramm_time']);
	$temp_set['shutnik_new'] = intval($_POST['shutnik_new']);

	if (preg_match("#^([A-zА-я0-9\-\_\ ])+$#ui", $_POST['chat_shutnik']) && strlen2($_POST['chat_shutnik']) > 2 && strlen2($_POST['chat_shutnik']) <= 32)
	$temp_set['chat_shutnik']=$_POST['chat_shutnik'];

	if (preg_match("#^([A-zА-я0-9\-\_\ ])+$#ui", $_POST['chat_umnik']) && strlen2($_POST['chat_umnik']) > 2 && strlen2($_POST['chat_umnik']) <= 32)
	$temp_set['chat_umnik'] = $_POST['chat_umnik'];

	if (preg_match("#^([A-zА-я0-9\-\_\ ])+$#ui", $_POST['chat_anagramma']) && strlen2($_POST['chat_anagramma']) > 2 && strlen2($_POST['chat_anagramma']) <= 32)
	$temp_set['chat_anagramma'] = $_POST['chat_anagramma'];
	
	if (save_settings($temp_set)) {
		admin_log('Настройки','Система','Изменение параметров чата');
		msg('Настройки успешно приняты');
	} else {
		$err = 'Нет прав для изменения файла настроек';
	}
	
}

$set['title'] = 'Настройки чата';
include_once '../sys/inc/thead.php';
title();
aut();
err();

?>
<form class="mess" method="post" action="?">
 Автообновление в чате:<br /><input type='text' name='time_chat' value='<?= $temp_set['time_chat']?>' maxlength='3' /><br />
 Таймаут между вопросами (умник в чате):<br /><input type='text' name='umnik_new' value='<?= $temp_set['umnik_new']?>' maxlength='3' /><br />
 Таймаут между подсказками (умник в чате):<br /><input type='text' name='umnik_help' value='<?= $temp_set['umnik_help']?>' maxlength='3' /><br />
 Общее время ожидание ответа (умник в чате):<br /><input type='text' name='umnik_time' value='<?= $temp_set['umnik_time']?>' maxlength='3' /><br />
 Таймаут между шутками (шутник в чате):<br /><input type='text' name='shutnik_new' value='<?= $temp_set['shutnik_new']?>' maxlength='3' /><br />
 Ник шутника:<br /><input type='text' name='chat_shutnik' value='<?= $temp_set['chat_shutnik']?>' /><br />
 Ник умника:<br /><input type='text' name='chat_umnik' value='<?= $temp_set['chat_umnik']?>' /><br />
 
 Таймаут между вопросами (анаграммы в чате):<br /><input type='text' name='anagramm_new' value='<?= $temp_set['anagramm_new']?>' maxlength='3' /><br />
 Таймаут между подсказками (анаграммы в чате):<br /><input type='text' name='anagramm_help' value='<?= $temp_set['anagramm_help']?>' maxlength='3' /><br />
 Общее время ожидание ответа (анаграммы в чате):<br /><input type='text' name='anagramm_time' value='<?= $temp_set['anagramm_time']?>' maxlength='3' /><br />
 Ник анаграммы:<br /><input type='text' name='chat_anagramma' value='<?= $temp_set['chat_anagramma']?>' /><br />
<input value="Изменить" name='save' type="submit" />
</form>


<div class="foot">
<img src="/style/icons/str.gif" /> <a href='/adm_panel/chat_shut.php'>Шутки</a><br />
<img src="/style/icons/str.gif" /> <a href='/adm_panel/chat_vopr.php'>Вопросы викторины</a><br />
<?
if (user_access('adm_panel_show')) {
	?><img src="/style/icons/str2.gif" /> <a href='/adm_panel/'>В админку</a><br /><?
}
?>
</div>
<?
include_once '../sys/inc/tfoot.php';
?>